summaryrefslogtreecommitdiff
path: root/tests/misc/printf-hex
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/printf-hex')
-rwxr-xr-xtests/misc/printf-hex12
1 files changed, 2 insertions, 10 deletions
diff --git a/tests/misc/printf-hex b/tests/misc/printf-hex
index e428d2605..39b70d6ef 100755
--- a/tests/misc/printf-hex
+++ b/tests/misc/printf-hex
@@ -16,18 +16,10 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
-prog="$abs_top_builddir/src/printf"
-
-if test "$VERBOSE" = yes; then
- set -x
- "$prog" --version
-fi
-
. $srcdir/test-lib.sh
+test "$VERBOSE" = yes && env -- printf --version
-
-
-"$prog" '\x7e3\n' > out || fail=1
+env printf '\x7e3\n' > out || fail=1
cat <<\EOF > exp
~3
EOF